Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface SequenceRegion

All Superinterfaces:
  Persistent, java.io.Serializable

public interface SequenceRegion
extends Persistent

Represents a region of sequence, which could be from any co-ordinate system.

Method Summary
`void` | `addAttribute(Attribute attrib)`
`Attribute[]` | `getAttributes()`
`java.lang.String` | `getAttributeValue(java.lang.String code)` Get the value of a particular attribute.
`CoordinateSystem` | `getCoordinateSystem()`
`long` | `getLength()`
`java.lang.String` | `getName()`
`boolean` | `hasAttributes()`
`void` | `setCoordinateSystem(CoordinateSystem cs)`
`void` | `setLength(long len)`
`void` | `setName(java.lang.String name)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()

### setCoordinateSystem

    public void setCoordinateSystem(CoordinateSystem cs)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLength

    public long getLength()

### setLength

    public void setLength(long len)

### addAttribute

    public void addAttribute(Attribute attrib)

### getAttributes

    public Attribute[] getAttributes()

### hasAttributes

    public boolean hasAttributes()

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String code)

  Get the value of a particular attribute.

  Parameters:
    `code` - The code of the attribute to get.
  Returns:
    The value of the attribute, or null if it is not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD